package com.ssj.bean.weixin.story.bean;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


/** 
 * @author  ZhangCaibao 
 * @version 2017年3月22日 下午1:38:52 
 * 类说明 用户证件图片 
 */
@Entity
@Table(name = "tb_story_img")
public class StoryImg extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7534711287214180081L;
    /**
     * objectid
     */
	private String  objectId;
	/**
	 * 图片地址
	 */
	private String img;
	/**
	 * 操作时间
	 */
	private Date createTime;
	
	private Integer num;
	
    private String name;
    
    /**
     *  stat	int	10	0	-1	0	0	0	0		0	图片识别 1有效2无效				0	0
		file_code	varchar	255	0	-1	0	0	0	0		0	文件标识	utf8	utf8_general_ci		0	0
		file_word	varchar	4000	0	-1	0	0	0	0		0	图片识别后的文字	utf8	utf8_general_ci		0	0
		file_gr	varchar	255	0	-1	0	0	0	0		0	图片内容的gr值	utf8	utf8_general_ci		0	0
		word_num	int	10	0	-1	0	0	0	0		0	字数				0	0
		newword	int	10	0	-1	0	0	0	0		0	生字出现的次数				0	0
		phasetimes	int	10	0	-1	0	0	0	0		0	关键字出现的字数				0	0
		idiomtimes	int	10	0	-1	0	0	0	0		0	成语出现的次数				0	0
     * @throws
     */
	private Integer stat;
	private String fileCode;
	private String fileWord;
	private String fileGr;
	private Integer wordNum;
	private Integer newword;
	private Integer phasetimes;
	private Integer idiomtimes;

	public String getObjectId() {
		return objectId;
	}
	public void setObjectId(String objectId) {
		this.objectId = objectId;
	}
	public String getImg() {
		return img;
	}
	public void setImg(String img) {
		this.img = img;
	}
	@Column(updatable = false) 
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public Integer getNum() {
		return num;
	}
	public void setNum(Integer num) {
		this.num = num;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Integer getStat() {
		return stat;
	}
	public void setStat(Integer stat) {
		this.stat = stat;
	}
	public String getFileCode() {
		return fileCode;
	}
	public void setFileCode(String fileCode) {
		this.fileCode = fileCode;
	}
	public String getFileWord() {
		return fileWord;
	}
	public void setFileWord(String fileWord) {
		this.fileWord = fileWord;
	}
	public String getFileGr() {
		return fileGr;
	}
	public void setFileGr(String fileGr) {
		this.fileGr = fileGr;
	}
	public Integer getWordNum() {
		return wordNum;
	}
	public void setWordNum(Integer wordNum) {
		this.wordNum = wordNum;
	}
	public Integer getNewword() {
		return newword;
	}
	public void setNewword(Integer newword) {
		this.newword = newword;
	}
	public Integer getPhasetimes() {
		return phasetimes;
	}
	public void setPhasetimes(Integer phasetimes) {
		this.phasetimes = phasetimes;
	}
	public Integer getIdiomtimes() {
		return idiomtimes;
	}
	public void setIdiomtimes(Integer idiomtimes) {
		this.idiomtimes = idiomtimes;
	}
}
